Description

There have been several cases were the JVM has run out of memory when users
create datapackages with either very large datasets or many different datasets
in the same package.

Need to investigate why all available memory is being used. Solution may be to
simply increase the memory requested by Java at startup (default=64M) so that
the problem does not occur on machines that have more memory.

History

#1 - 02/26/2002 02:36 PM - Dan Higgins

JVM now set to ask for 128M of memory rather than the default of 64M. This
should solve most memory problems for machines that have enough RAM

#2 - 03/29/2002 12:47 PM - Dan Higgins
Various code fixed to avoid storing large metadata/data files in memory fixed.

Increased the amount of memory asked for when Java is launched.

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 424
